# ShopEvent (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.event

## Class ShopEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - de.epiceric.shopchest.event.ShopEvent

Direct Known Subclasses:
  ShopBuySellEvent, ShopCreateEvent, ShopInfoEvent, ShopOpenEvent, ShopPreCreateEvent, ShopRemoveEvent

    public abstract class ShopEvent
    extends org.bukkit.event.Event

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`ShopEvent(org.bukkit.entity.Player player, Shop shop)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`org.bukkit.entity.Player` `getPlayer()`
`Shop` `getShop()`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopEvent

    public ShopEvent(org.bukkit.entity.Player player,
                     Shop shop)

### Method Detail

#### getShop

    public Shop getShop()

Returns:
  Shop which is involved in this event

#### getPlayer

    public org.bukkit.entity.Player getPlayer()

Returns:
  Player who is involved in this event

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`